# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libtag-devel pkgconfig(glib-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0) pkgconfig(taglib)
# END SourceDeps(oneline)
# SPEC file for gnomad2, main target is Fedora.

Name:		gnomad2
Version:    	2.9.6
Release:	alt1_6

Summary:	A GNOME 2.0 client for the Creative Jukeboxes and Dell DJs
License:	GPLv2+
URL:		http://gnomad2.sourceforge.net

Group:		Sound
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	libnjb-devel
BuildRequires:	libmtp-devel
BuildRequires:	libid3tag-devel
BuildRequires:	taglib-devel
BuildRequires:	libgudev-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
Source44: import.info

%description
Gnomad2 is a client for the Creative Nomad Jukeboxes, Zen, Zen USB 2.0, NX,
Xtra, Touch and Micro, plus the Dell DJs utilizing the libnjb library for
jukebox communication. Further it support MTP devices by way of libmtp,
including Samsung, iriver, SanDisk, Philips, JVC and many, many more.
It is used for storing MP3 (and WAV, WMA, OGG, MP4, AVI, MPEG) media files
on the  device and retrieving them again, it also handles data file storage
and retrieval, playlists and a rudimentary player with full support for the
Creative EAX sound processor on older jukebox devices.

%prep
%setup

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall
# Rename this so it matches the distribution
desktop-file-install --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
# Generate a list of all available translations
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/*
%doc AUTHORS NEWS README COPYING ChangeLog

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_6
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_4
- initial fc import

